Rechnungen
Über diese Funktion können Rechnungsdaten abgerufen werden. Die Anlage von Rechnungen wird in einem eigenen Abschnitt behandelt.
Rechnungen (alter Eingangsrechnungsprozess)
Version 1.2
get
Autorisierungen
OAuth2passwordErforderlichToken URL:
Use username and password.
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample:
20offsetinteger · int32Optional
idinteger · int32Optional
numberstringOptional
companyCodeIdinteger · int32Optional
companyCodeCodestringOptional
maturityDateFromstring · dateOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])maturityDateTostring · dateOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])invoiceDateFromstring · dateOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])invoiceDateTostring · dateOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])includePaymentOrderbooleanOptionalDefault:
falseincludeCommissionDatabooleanOptionalDefault:
falseincludeAdditionalFieldbooleanOptionalDefault:
falseshowNullValuesbooleanOptionalDefault:
falseAntworten
200
OK
Idinteger · int32Optional
Numberstring · nullableOptional
IssueDatestring · dateOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])DueDatestring · dateOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])ActualDeliveryDatestring · dateOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])CorrectionRequestedbooleanOptional
CorrectionReasonstring · nullableOptional
400
Bad Request
401
Unauthorized
get/openwowi/v1.2/AccountancyTransactionData/InvoiceReceipt
GET /openwowi/v1.2/AccountancyTransactionData/InvoiceReceipt HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"Id": 1,
"Number": "text",
"CompanyCode": {
"Id": 1,
"Name": "text",
"Code": "text"
},
"IssueDate": "2026-08-18",
"DueDate": "2026-08-18",
"ActualDeliveryDate": "2026-08-18",
"MonetaryTotal": {
"TaxExclusiveAmount": 1,
"TaxInclusiveAmount": 1,
"TaxInclusiveLaborCost": 1,
"TaxInclusiveMaterialCost": 1,
"TaxExclusiveLaborCost": 1,
"TaxExclusiveMaterialCost": 1
},
"TaxTotal": {
"TaxAmount": 1,
"TaxSubtotals": [
{
"Net": 1,
"Vat": 1,
"Tax": {
"Id": 1,
"Code": "text"
}
}
]
},
"PaymentOrders": [
{
"PaymentOrderNumber": "text",
"Maturity": "2026-08-18",
"TransferDate": "2026-08-18",
"PaymentFileStatus": {
"Id": 1,
"Code": "text"
}
}
],
"ResponsibleOfficial": {
"Id": 1,
"CodeShort": "text",
"PersonId": 1
},
"Department": {
"Id": 1,
"Name": "text"
},
"EconomicUnit": {
"Id": 1,
"IdNum": "text"
},
"Project": {
"Id": 1,
"Code": "text",
"Name": "text"
},
"AdditionalFields": [
{
"Name": "text",
"Content": "text",
"Type": "text"
}
],
"Processing": {
"Id": 1,
"Code": "text"
},
"InvoiceType": {
"Id": 1,
"Code": "text"
},
"CorrectionRequested": true,
"CorrectionReason": "text",
"CommissioningData": {
"CommissionItems": [
{
"Id": 1,
"Code": "text",
"UnitPrice": 1,
"GrossAmount": 1,
"NetAmount": 1,
"Units": 1,
"CommissionText": "text",
"InternalDescription": "text",
"PositionNumber": 1,
"IsCanceled": true,
"IsSmallRepair": true,
"TransferToCraftsmanPortalWithoutCosts": true,
"BudgetData": {
"Budget": {
"Id": 1,
"Code": "text"
},
"BudgetDetail": {
"Id": 1,
"BudgetId": 1,
"Hierarchy1Value": "text",
"Hierarchy2Value": "text",
"Hierarchy3Value": "text"
}
},
"SalesTax": {
"Id": 1,
"Code": "text"
},
"ServiceCatalogue": {
"Id": 1,
"IdNum": "text",
"Description": "text",
"QuantityType": {
"Id": 1,
"Name": "text",
"Code": "text",
"ArgeCode": "text"
}
},
"CraftActivity": {
"Id": 1,
"Code": "text"
},
"QuantityType": {
"Id": 1,
"Name": "text",
"Code": "text",
"ArgeCode": "text"
},
"Component": {
"Id": 1,
"Name": "text"
},
"Facility": {
"Id": 1,
"Name": "text"
},
"ComponentCatalog": {
"Id": 1,
"Name": "text"
},
"FacilityCatalog": {
"Id": 1,
"Name": "text"
},
"ApprovedNetAmount": 1,
"Commission": {
"Id": 1,
"IdNum": "text",
"Code": "text",
"RecordingDate": "2026-08-18",
"ReleaseDate": "2026-08-18",
"PlacingDate": "2026-08-18",
"AcceptanceDate": "2026-08-18",
"CompletionDate": "2026-08-18",
"CommissionType": {
"Id": 1,
"Code": "text"
},
"CommissionStatus": {
"Id": 1,
"Code": "text"
}
}
}
],
"AttachedCommissions": [
{
"Id": 1,
"IdNum": "text",
"Code": "text"
}
]
},
"Creditor": {
"Id": 1,
"CreditorNumber": "text"
}
}
]Rechnungen (neuer Eingangsrechnungsprozess)
Version 1.2
get
Autorisierungen
OAuth2passwordErforderlichToken URL:
Use username and password.
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample:
20offsetinteger · int32Optional
idinteger · int32Optional
numberstringOptional
companyCodeIdinteger · int32Optional
companyCodeCodestringOptional
maturityDateFromstring · dateOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])maturityDateTostring · dateOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])invoiceDateFromstring · dateOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])invoiceDateTostring · dateOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])includePaymentOrderbooleanOptionalDefault:
falseincludeCommissionDatabooleanOptionalDefault:
falseincludeAdditionalFieldbooleanOptionalDefault:
falseshowNullValuesbooleanOptionalDefault:
falseAntworten
200
OK
Idinteger · int32Optional
InvoiceNumberstring · nullableOptional
PreliminaryNumberstring · nullableOptional
CorrectionRequestedbooleanOptional
CorrectionReasonstring · nullableOptional
IssueDatestring · date · nullableOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])ReceiptDatestring · date · nullableOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])DueDatestring · date · nullableOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])ActualDeliveryDatestring · date · nullableOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])AssessmentDateFromstring · date · nullableOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])AssessmentDateTostring · date · nullableOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])OwnReferencestring · nullableOptional
400
Bad Request
401
Unauthorized
get/openwowi/v1.2/AccountancyTransactionData/InvoiceReceiptNew
GET /openwowi/v1.2/AccountancyTransactionData/InvoiceReceiptNew HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"Id": 1,
"InvoiceNumber": "text",
"PreliminaryNumber": "text",
"CompanyCode": {
"Id": 1,
"Name": "text",
"Code": "text"
},
"Step": {
"Id": 1,
"Code": "text"
},
"CorrectionRequested": true,
"CorrectionReason": "text",
"IssueDate": "2026-08-18",
"ReceiptDate": "2026-08-18",
"DueDate": "2026-08-18",
"ActualDeliveryDate": "2026-08-18",
"AssessmentDateFrom": "2026-08-18",
"AssessmentDateTo": "2026-08-18",
"OwnReference": "text",
"MonetaryTotal": {
"TaxExclusiveAmount": 1,
"TaxInclusiveAmount": 1,
"TaxInclusiveLaborCost": 1,
"TaxInclusiveMaterialCost": 1,
"TaxExclusiveLaborCost": 1,
"TaxExclusiveMaterialCost": 1
},
"PaymentOrders": [
{
"PaymentOrderNumber": "text",
"Maturity": "2026-08-18",
"TransferDate": "2026-08-18",
"PaymentFileStatus": {
"Id": 1,
"Code": "text"
}
}
],
"ConnectedInvoices": [
{
"Id": 1,
"InvoiceReceiptNumber": "text"
}
],
"ResponsibleOfficial": {
"Id": 1,
"CodeShort": "text",
"PersonId": 1
},
"Department": {
"Id": 1,
"Name": "text"
},
"Lines": [
{
"Id": 1,
"GrossAmount": 1,
"NetAmount": 1,
"Quantity": 1,
"QuantityTypeId": 1,
"Project": {
"Id": 1,
"Code": "text",
"Name": "text"
},
"EconomicUnit": {
"Id": 1,
"IdNum": "text"
},
"UseUnit": {
"Id": 1,
"UseUnitNumber": "text"
},
"BuildingLand": {
"Id": 1,
"IdNum": "text",
"BuildingLandType": "text"
},
"LicenseAgreement": {
"Id": 1,
"IdNum": "text"
}
}
],
"AdditionalFields": [
{
"Name": "text",
"Content": "text",
"Type": "text"
}
],
"Withholds": [
{
"AssessmentBasis": 1,
"WithholdType": "Warranty",
"Percentage": 1,
"Amount": 1,
"MaturityInMonths": 1,
"WithholdMaturityDate": "2026-08-18",
"Description": "text"
}
],
"AllowanceCharges": [
{
"IsCharge": true,
"TaxInclusiveAmount": 1,
"Reason": "text",
"ReasonTypeId": 1
}
],
"InvoiceType": {
"Id": 1,
"Code": "text"
},
"CommissioningData": {
"CommissionItems": [
{
"Id": 1,
"Code": "text",
"UnitPrice": 1,
"GrossAmount": 1,
"NetAmount": 1,
"Units": 1,
"CommissionText": "text",
"InternalDescription": "text",
"PositionNumber": 1,
"IsCanceled": true,
"IsSmallRepair": true,
"TransferToCraftsmanPortalWithoutCosts": true,
"BudgetData": {
"Budget": {
"Id": 1,
"Code": "text"
},
"BudgetDetail": {
"Id": 1,
"BudgetId": 1,
"Hierarchy1Value": "text",
"Hierarchy2Value": "text",
"Hierarchy3Value": "text"
}
},
"SalesTax": {
"Id": 1,
"Code": "text"
},
"ServiceCatalogue": {
"Id": 1,
"IdNum": "text",
"Description": "text",
"QuantityType": {
"Id": 1,
"Name": "text",
"Code": "text",
"ArgeCode": "text"
}
},
"CraftActivity": {
"Id": 1,
"Code": "text"
},
"QuantityType": {
"Id": 1,
"Name": "text",
"Code": "text",
"ArgeCode": "text"
},
"Component": {
"Id": 1,
"Name": "text"
},
"Facility": {
"Id": 1,
"Name": "text"
},
"ComponentCatalog": {
"Id": 1,
"Name": "text"
},
"FacilityCatalog": {
"Id": 1,
"Name": "text"
},
"ApprovedNetAmount": 1,
"Commission": {
"Id": 1,
"IdNum": "text",
"Code": "text",
"RecordingDate": "2026-08-18",
"ReleaseDate": "2026-08-18",
"PlacingDate": "2026-08-18",
"AcceptanceDate": "2026-08-18",
"CompletionDate": "2026-08-18",
"CommissionType": {
"Id": 1,
"Code": "text"
},
"CommissionStatus": {
"Id": 1,
"Code": "text"
}
}
}
],
"AttachedCommissions": [
{
"Id": 1,
"IdNum": "text",
"Code": "text"
}
]
},
"Creditor": {
"Id": 1,
"CreditorNumber": "text"
},
"Discount": {
"Percentage": 1,
"FixedAmount": 1,
"MaturityInDays": 1
}
}
]Zahlungsanweisungen
Version 1.2
get
Autorisierungen
OAuth2passwordErforderlichToken URL:
Use username and password.
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample:
20offsetinteger · int32Optional
idinteger · int32Optional
numberstringOptional
companyCodeIdinteger · int32Optional
companyCodeCodestringOptional
maturityDateFromstring · dateOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])maturityDateTostring · dateOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])invoiceDateFromstring · dateOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])invoiceDateTostring · dateOptionalExample:
2026-08-18Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])showNullValuesbooleanOptionalDefault:
falseAntworten
200
OK
Idinteger · int32Optional
Numberstring · nullableOptional
400
Bad Request
401
Unauthorized
get/openwowi/v1.2/AccountancyTransactionData/InvoiceReceipt/PaymentOrders
GET /openwowi/v1.2/AccountancyTransactionData/InvoiceReceipt/PaymentOrders HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"Id": 1,
"Number": "text",
"CompanyCode": {
"Id": 1,
"Name": "text",
"Code": "text"
},
"PaymentOrders": [
{
"PaymentOrderNumber": "text",
"Maturity": "2026-08-18",
"TransferDate": "2026-08-18",
"PaymentFileStatus": {
"Id": 1,
"Code": "text"
}
}
]
}
]Zuletzt aktualisiert
